Bug 496999 - the src.rpm can't be rebuilt
the src.rpm can't be rebuilt
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: sblim (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Vitezslav Crhonek
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-21 19:10 EDT by Levente Farkas
Modified: 2009-09-02 05:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
the spec file for the sblim package was originally written for use with an earlier version of the GNU Compiler Collection (GCC). Attempts to build the sblim package from source using more recent versions of the GCC would therefore fail. The spec file is now updated so that it works with current versions of the GCC.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:18:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Levente Farkas 2009-04-21 19:10:10 EDT
this src.rpm can't be rebuild on 5.3 because of this error:

(cd .libs && rm -f libOSBase_MetricRepositoryServiceProvider.la && ln -s ../libOSBase_MetricRepositoryServiceProvider.la libOSBase_MetricRepositoryServiceProvider.la)
if /bin/sh ../libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -I..  -I ./.. -I ./../util -I ./../comms -DNOTRACE -DCMPI_VERSION=90 -I/var/tmp/sblim-1-31.el5.1-root-viduxos/usr/include/sblim -I/usr/include/Pegasus/Provider/CMPI -Wall -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic -fasynchronous-unwind-tables -MT OSBase_MetricForMEProvider.lo -MD -MP -MF ".deps/OSBase_MetricForMEProvider.Tpo" -c -o OSBase_MetricForMEProvider.lo OSBase_MetricForMEProvider.c; \
	then mv -f ".deps/OSBase_MetricForMEProvider.Tpo" ".deps/OSBase_MetricForMEProvider.Plo"; else rm -f ".deps/OSBase_MetricForMEProvider.Tpo"; exit 1; fi
 gcc -DHAVE_CONFIG_H -I. -I. -I.. -I ./.. -I ./../util -I ./../comms -DNOTRACE -DCMPI_VERSION=90 -I/var/tmp/sblim-1-31.el5.1-root-viduxos/usr/include/sblim -I/usr/include/Pegasus/Provider/CMPI -Wall -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic -fasynchronous-unwind-tables -MT OSBase_MetricForMEProvider.lo -MD -MP -MF .deps/OSBase_MetricForMEProvider.Tpo -c OSBase_MetricForMEProvider.c  -fPIC -DPIC -o .libs/OSBase_MetricForMEProvider.o
OSBase_MetricForMEProvider.c: In function 'associatorHelper':
OSBase_MetricForMEProvider.c:88: warning: implicit declaration of function 'fprintf'
OSBase_MetricForMEProvider.c:88: warning: incompatible implicit declaration of built-in function 'fprintf'
OSBase_MetricForMEProvider.c:88: error: 'stderr' undeclared (first use in this function)
OSBase_MetricForMEProvider.c:88: error: (Each undeclared identifier is reported only once
OSBase_MetricForMEProvider.c:88: error: for each function it appears in.)
OSBase_MetricForMEProvider.c: At top level:
OSBase_MetricForMEProvider.c:322: warning: initialization from incompatible pointer type
OSBase_MetricForMEProvider.c:322: warning: initialization from incompatible pointer type
OSBase_MetricForMEProvider.c:322: warning: initialization from incompatible pointer type
OSBase_MetricForMEProvider.c:322: warning: initialization from incompatible pointer type
OSBase_MetricForMEProvider.c:322: warning: initialization from incompatible pointer type
OSBase_MetricForMEProvider.c:322: warning: initialization from incompatible pointer type
OSBase_MetricForMEProvider.c:322: warning: initialization from incompatible pointer type
OSBase_MetricForMEProvider.c:322: warning: initialization from incompatible pointer type
OSBase_MetricForMEProvider.c: In function 'OSBase_MetricForMEProvider_Create_InstanceMI':
OSBase_MetricForMEProvider.c:322: warning: assignment discards qualifiers from pointer target type
OSBase_MetricForMEProvider.c: At top level:
OSBase_MetricForMEProvider.c:331: warning: initialization from incompatible pointer type
OSBase_MetricForMEProvider.c:331: warning: initialization from incompatible pointer type
OSBase_MetricForMEProvider.c:331: warning: initialization from incompatible pointer type
OSBase_MetricForMEProvider.c:331: warning: initialization from incompatible pointer type
OSBase_MetricForMEProvider.c:331: warning: initialization from incompatible pointer type
OSBase_MetricForMEProvider.c: In function 'OSBase_MetricForMEProvider_Create_AssociationMI':
OSBase_MetricForMEProvider.c:331: warning: assignment discards qualifiers from pointer target type
make[2]: *** [OSBase_MetricForMEProvider.lo] Error 1
make[2]: Leaving directory `/home/lfarkas/rpm/BUILD/sblim-1/sblim-gather-2.1.2/provider'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/lfarkas/rpm/BUILD/sblim-1/sblim-gather-2.1.2'
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.21919 (%build)
Comment 2 Levente Farkas 2009-04-23 09:12:08 EDT
this's not just one place, but a lots of.
it seems newer gcc much more precise and this cause a lots of errors...
Comment 6 Ruediger Landmann 2009-08-30 22:05:08 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
the spec file for the sblim package was originally written for use
with an earlier version of the GNU Compiler Collection (GCC). Attempts 
to build the sblim package from source using more recent versions of 
the GCC would therefore fail. The spec file is now updated so that it 
works with current versions of the GCC.
Comment 7 errata-xmlrpc 2009-09-02 05:18:48 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1267.html

Note You need to log in before you can comment on or make changes to this bug.